org.eclipse.rdf4j.query.impl

## Class AbstractQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery

- All Implemented Interfaces:
    Operation, Query
  Direct Known Subclasses:
    AbstractHTTPQuery, AbstractParserQuery, AbstractParserQuery

      public abstract class AbstractQuery
      extends AbstractOperation
      implements Query

  Abstract super class of all query types.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractQuery()` Creates a new query object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxQueryTime()` Deprecated.
    `void` | `setMaxQueryTime(int maxQueryTimeSeconds)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### AbstractQuery

          protected AbstractQuery()

      Creates a new query object.

  - ### Method Detail

    - #### setMaxQueryTime

          @Deprecated
          public void setMaxQueryTime(int maxQueryTimeSeconds)

      Deprecated.
      Description copied from interface: `Query`
      Specifies the maximum time that a query is allowed to run. The query will be interrupted when it exceeds the time limit. Any consecutive requests to fetch query results will result in `QueryInterruptedException`s.
      Specified by:
        `setMaxQueryTime` in interface `Query`
      Parameters:
        `maxQueryTimeSeconds` - The maximum query time, measured in seconds. A negative or zero value indicates an unlimited query time (which is the default).

    - #### getMaxQueryTime

          @Deprecated
          public int getMaxQueryTime()

      Deprecated.
      Description copied from interface: `Query`
      Returns the maximum query evaluation time.
      Specified by:
        `getMaxQueryTime` in interface `Query`
      Returns:
        The maximum query evaluation time, measured in seconds.
      See Also:
        `Query.setMaxQueryTime(int)`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.